Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.clocks
Class Clock

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.clocks.Clock

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary, quicktime.jdirect.SoundLib

public final class Clock
extends Component
implements quicktime.jdirect.QuickTimeLib, quicktime.jdirect.SoundLib

The Clock implements methods for a corresponding QuickTime component. Clock components offer two basic services. They generate time information and schedule time-based callback events. Its methods offer access to a component's structure and its fields. refer to Clock Component in QuickTime

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Fields inherited from interface quicktime.jdirect.SoundLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`Clock(int subType)` Opens the specified component,'clok', with the given subType.

Method Summary
`static Clock` | `fromSndChannel(SndChannel sc)` Returns the clock of the SndChannel.
`TimeRecord` | `getTime()` Allows your application to obtain the current time according to the specified clock.

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Clock

    public Clock(int subType)
          throws QTException

  Opens the specified component,'clok', with the given subType.
  QuickTime::OpenADefaultComponent
Parameters:
  `type` - the component type

Method Detail

### getTime

    public TimeRecord getTime()
                       throws QTException

  Allows your application to obtain the current time according to the specified clock.
  QuickTime::ClockGetTime

  Returns:
    The time value that contains the current time from the specified time base in specified time scale

### fromSndChannel

    public static Clock fromSndChannel(SndChannel sc)
                                throws SoundException

  Returns the clock of the SndChannel.

  Returns:
    the clock

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD